################################################################################
#
# LIB UBOX
#
################################################################################

LIBUBOX_VERSION:= 2016.07.29

LIBUBOX_SITE = $(TOPDIR)/../../src/3P/libubox/builders/cmake
LIBUBOX_SITE_METHOD = local
LIBUBOX_INSTALL_STAGING = YES

LIBUBOX_DEPENDENCIES = json-c

LIBUBOX_CONF = SRC_DIR=$(TOPDIR)/../..

LIBUBOX_CONF_ENV = $(LIBUBOX_CONF)
LIBUBOX_MAKE_ENV = $(LIBUBOX_CONF)
LIBUBOX_CONF_OPTS += -DMODULE_PATH=$(TOPDIR)/../../bsp/cmake-modules -DCMAKE_BUILD_TYPE=$(BUILD_TYPE)

$(eval $(cmake-package))
